Request

Response

    Issues Profile
    GET

    users/me

    Returns the current user permissions in the current project.

    This operation is available to every valid member of this project.

    Note that this endpoint is ONLY compatible with BIM 360 projects. It is not compatible with Autodesk Construction Cloud (ACC) projects. For more information about compatibility between between BIM 360 and ACC, see the Compatibility section.

    Resource Information

    Method and URI
    GET
    https://developer.api.autodesk.com/issues/v2/containers/:containerId/users/me
    Authentication Context
    user context required
    Required OAuth Scopes
    data:read
    Data Format
    JSON

    Request

    Headers

    Authorization*
    string
    Must be Bearer <token>, where <token> is obtained via a three-legged OAuth flow.
    * Required

    Request

    URI Parameters

    containerId
    string
    The ID of the container.

    Each project is assigned to a container that stores all the issues for the project.

    Use the Data Management API to retrieve the container ID. For more information, see the Retrieve Issues Container ID tutorial.

    Response

    HTTP Status Code Summary

    200
    OK
    Success
    400
    Bad Request
    Invalid input
    401
    Unauthorized
    The supplied Authorization header was not valid. Verify Authentication and try again
    403
    Forbidden
    The request was successfully validated but permission is not granted
    404
    Not Found
    Container not found

    Response

    Body Structure (200)

    Expand all
    id
    string
    The user’s Autodesk ID.
    isProjectAdmin
    boolean
    States whether the current logged in user is a system admin.
    canManageTemplates
    boolean
    Not relevant
    issues
    object
    new
    object
    If this property is attached - you are allowed to create a new issue.
    permittedActions
    array: string
    The list of actions permitted for the user for this issue in its current state.

    Possible Values: assign_all (can assign another user to the issue), add_comment, add_attachment.

    The following values are not relevant: add_attachment.

    permittedAttributes
    array: string
    A list of attributes you are allowed to open a new issue. issueTypeId, linkedDocument, owner, answer, rootCauseId, snapshotUrn are not applicable.

    Possible Values: answer, assignedTo, assignedToType, description, dueDate, locationDetails, linkedDocuments, owner, issueType, issueTypeId, rootCause, rootCauseId, title, status, sheetMetadata, locationId, snapshotUrn, closeVersion, custom_attributes.

    permittedStatuses
    array: string
    A list of statuses you are allowed to open a new issue.

    Possible Values: open, draft.

    permitted_actions
    array: string
    Not relevant
    permitted_attributes
    array: string
    Not relevant
    permitted_statuses
    array: string
    Not relevant
    permissionLevels
    array: string
    The permission level of the user in the current project.

    You can also verify a user’s assignment permissions by checking the permittedActions or permissionLevels attributes.

    Each permission level corresponds to a combination of values in the response.

    • View All: read - Can view the ‘data:read’ only endpoints.
    • Create: create - Can create for my company.
    • View and Create: read, create - Can create for other companies.
    • Full control: create, read, write - Can manage issues.

    Possible values: create, read, write

    Example

    Success

    Request

    curl -v 'https://developer.api.autodesk.com/issues/v2/containers/a5f49f04-59bb-477c-97e6-6833cb50bdac/users/me' \
      -H 'Authorization: Bearer AuIPTf4KYLTYGVnOHQ0cuolwCW2a'
    

    Response

    {
      "id": "BXQXL7646C2R",
      "isProjectAdmin": true,
      "canManageTemplates": "",
      "issues": {
        "new": {
          "permittedActions": [
            "add_comment"
          ],
          "permittedAttributes": [
            "title"
          ],
          "permittedStatuses": [
            "open"
          ],
          "permitted_actions": [
            "add_comment"
          ],
          "permitted_attributes": [
            "title"
          ],
          "permitted_statuses": [
            "open"
          ]
        }
      },
      "permissionLevels": [
        "read"
      ]
    }
    
    Show More